Upstream information

CVE-2018-19962 at MITRE

Description

An issue was discovered in Xen through 4.11.x on AMD x86 platforms, possibly allowing guest OS users to gain host OS privileges because small IOMMU mappings are unsafely combined into larger ones.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.9
Vector AV:L/AC:M/Au:N/C:C/I:C/A:C
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 7.8
Vector AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:H/A:H AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:H/A:H
Access Vector Local Local
Access Complexity High High
Privileges Required Low Low
User Interaction None None
Scope Changed Changed
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
SUSE Bugzilla entry: 1115040 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 3.0
  • xen >= 4.9.3_03-3.47.1
  • xen-libs >= 4.9.3_03-3.47.1
  • xen-tools-domU >= 4.9.3_03-3.47.1
Patchnames:
SUSE-CAASP-3.0-2018-2896
SUSE-CAASP-3.0-2019-914
SUSE CaaS Platform ALL
  • xen >= 4.9.3_03-3.47.1
  • xen-libs >= 4.9.3_03-3.47.1
  • xen-tools-domU >= 4.9.3_03-3.47.1
Patchnames:
SUSE-CAASP-ALL-2018-2896
SUSE-CAASP-ALL-2019-914
SUSE Enterprise Storage 4
  • xen >= 4.7.6_05-43.45.1
  • xen-doc-html >= 4.7.6_05-43.45.1
  • xen-libs >= 4.7.6_05-43.45.1
  • xen-libs-32bit >= 4.7.6_05-43.45.1
  • xen-tools >= 4.7.6_05-43.45.1
  • xen-tools-domU >= 4.7.6_05-43.45.1
Patchnames:
SUSE-Storage-4-2019-20
SUSE Linux Enterprise Desktop 12 SP3
  • xen >= 4.9.3_03-3.47.1
  • xen-libs >= 4.9.3_03-3.47.1
  • xen-libs-32bit >= 4.9.3_03-3.47.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-2896
SUSE-SLE-DESKTOP-12-SP3-2019-914
SUSE Linux Enterprise Desktop 12 SP4
  • xen >= 4.11.1_02-2.3.1
  • xen-libs >= 4.11.1_02-2.3.1
  • xen-libs-32bit >= 4.11.1_02-2.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-3
SUSE Linux Enterprise Module for Basesystem 15
  • xen >= 4.10.2_04-3.9.1
  • xen-libs >= 4.10.2_04-3.9.1
  • xen-tools-domU >= 4.10.2_04-3.9.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2018-3063
SUSE Linux Enterprise Module for Server Applications 15
  • xen >= 4.10.2_04-3.9.1
  • xen-devel >= 4.10.2_04-3.9.1
  • xen-tools >= 4.10.2_04-3.9.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2018-3063
SUSE Linux Enterprise Point of Sale 11 SP3
  • xen >= 4.2.5_21-45.30.1
  • xen-kmp-default >= 4.2.5_21_3.0.101_0.47.106.59-45.30.1
  • xen-kmp-pae >= 4.2.5_21_3.0.101_0.47.106.59-45.30.1
  • xen-libs >= 4.2.5_21-45.30.1
  • xen-tools-domU >= 4.2.5_21-45.30.1
Patchnames:
sleposp3-xen-14011
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • xen >= 4.7.6_05-43.45.1
  • xen-doc-html >= 4.7.6_05-43.45.1
  • xen-libs >= 4.7.6_05-43.45.1
  • xen-libs-32bit >= 4.7.6_05-43.45.1
  • xen-tools >= 4.7.6_05-43.45.1
  • xen-tools-domU >= 4.7.6_05-43.45.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-20
SUSE Linux Enterprise Server 11 SP4
  • xen >= 4.4.4_38-61.40.1
  • xen-doc-html >= 4.4.4_38-61.40.1
  • xen-kmp-default >= 4.4.4_38_3.0.101_108.84-61.40.1
  • xen-kmp-pae >= 4.4.4_38_3.0.101_108.84-61.40.1
  • xen-libs >= 4.4.4_38-61.40.1
  • xen-libs-32bit >= 4.4.4_38-61.40.1
  • xen-tools >= 4.4.4_38-61.40.1
  • xen-tools-domU >= 4.4.4_38-61.40.1
Patchnames:
slessp4-xen-13921
SUSE Linux Enterprise Server 12 SP1-LTSS
  • xen >= 4.5.5_28-22.58.1
  • xen-doc-html >= 4.5.5_28-22.58.1
  • xen-kmp-default >= 4.5.5_28_k3.12.74_60.64.107-22.58.1
  • xen-libs >= 4.5.5_28-22.58.1
  • xen-libs-32bit >= 4.5.5_28-22.58.1
  • xen-tools >= 4.5.5_28-22.58.1
  • xen-tools-domU >= 4.5.5_28-22.58.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-825
SUSE Linux Enterprise Server 12 SP2-BCL
  • xen >= 4.7.6_05-43.45.1
  • xen-doc-html >= 4.7.6_05-43.45.1
  • xen-libs >= 4.7.6_05-43.45.1
  • xen-libs-32bit >= 4.7.6_05-43.45.1
  • xen-tools >= 4.7.6_05-43.45.1
  • xen-tools-domU >= 4.7.6_05-43.45.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-20
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • xen >= 4.7.6_05-43.45.1
  • xen-doc-html >= 4.7.6_05-43.45.1
  • xen-libs >= 4.7.6_05-43.45.1
  • xen-libs-32bit >= 4.7.6_05-43.45.1
  • xen-tools >= 4.7.6_05-43.45.1
  • xen-tools-domU >= 4.7.6_05-43.45.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-20
SUSE Linux Enterprise Server 12 SP2-LTSS
  • xen >= 4.7.6_05-43.45.1
  • xen-doc-html >= 4.7.6_05-43.45.1
  • xen-libs >= 4.7.6_05-43.45.1
  • xen-libs-32bit >= 4.7.6_05-43.45.1
  • xen-tools >= 4.7.6_05-43.45.1
  • xen-tools-domU >= 4.7.6_05-43.45.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-20
SUSE Linux Enterprise Server 12 SP3
  • xen >= 4.9.3_03-3.47.1
  • xen-doc-html >= 4.9.3_03-3.47.1
  • xen-libs >= 4.9.3_03-3.47.1
  • xen-libs-32bit >= 4.9.3_03-3.47.1
  • xen-tools >= 4.9.3_03-3.47.1
  • xen-tools-domU >= 4.9.3_03-3.47.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2896
SUSE-SLE-SERVER-12-SP3-2019-914
SUSE Linux Enterprise Server 12 SP4
  • xen >= 4.11.1_02-2.3.1
  • xen-doc-html >= 4.11.1_02-2.3.1
  • xen-libs >= 4.11.1_02-2.3.1
  • xen-libs-32bit >= 4.11.1_02-2.3.1
  • xen-tools >= 4.11.1_02-2.3.1
  • xen-tools-domU >= 4.11.1_02-2.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-3
SUSE Linux Enterprise Server 12-LTSS
  • xen >= 4.4.4_40-22.77.1
  • xen-doc-html >= 4.4.4_40-22.77.1
  • xen-kmp-default >= 4.4.4_40_k3.12.61_52.146-22.77.1
  • xen-libs >= 4.4.4_40-22.77.1
  • xen-libs-32bit >= 4.4.4_40-22.77.1
  • xen-tools >= 4.4.4_40-22.77.1
  • xen-tools-domU >= 4.4.4_40-22.77.1
Patchnames:
SUSE-SLE-SERVER-12-2019-827
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • xen >= 4.4.4_38-61.40.1
  • xen-doc-html >= 4.4.4_38-61.40.1
  • xen-kmp-default >= 4.4.4_38_3.0.101_108.84-61.40.1
  • xen-kmp-pae >= 4.4.4_38_3.0.101_108.84-61.40.1
  • xen-libs >= 4.4.4_38-61.40.1
  • xen-libs-32bit >= 4.4.4_38-61.40.1
  • xen-tools >= 4.4.4_38-61.40.1
  • xen-tools-domU >= 4.4.4_38-61.40.1
Patchnames:
slessp4-xen-13921
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • xen >= 4.5.5_28-22.58.1
  • xen-doc-html >= 4.5.5_28-22.58.1
  • xen-kmp-default >= 4.5.5_28_k3.12.74_60.64.107-22.58.1
  • xen-libs >= 4.5.5_28-22.58.1
  • xen-libs-32bit >= 4.5.5_28-22.58.1
  • xen-tools >= 4.5.5_28-22.58.1
  • xen-tools-domU >= 4.5.5_28-22.58.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-825
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • xen >= 4.5.5_28-22.58.1
  • xen-doc-html >= 4.5.5_28-22.58.1
  • xen-kmp-default >= 4.5.5_28_k3.12.74_60.64.107-22.58.1
  • xen-libs >= 4.5.5_28-22.58.1
  • xen-libs-32bit >= 4.5.5_28-22.58.1
  • xen-tools >= 4.5.5_28-22.58.1
  • xen-tools-domU >= 4.5.5_28-22.58.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-825
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • xen >= 4.7.6_05-43.45.1
  • xen-doc-html >= 4.7.6_05-43.45.1
  • xen-libs >= 4.7.6_05-43.45.1
  • xen-libs-32bit >= 4.7.6_05-43.45.1
  • xen-tools >= 4.7.6_05-43.45.1
  • xen-tools-domU >= 4.7.6_05-43.45.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-20
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • xen >= 4.7.6_05-43.45.1
  • xen-doc-html >= 4.7.6_05-43.45.1
  • xen-libs >= 4.7.6_05-43.45.1
  • xen-libs-32bit >= 4.7.6_05-43.45.1
  • xen-tools >= 4.7.6_05-43.45.1
  • xen-tools-domU >= 4.7.6_05-43.45.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-20
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • xen >= 4.7.6_05-43.45.1
  • xen-doc-html >= 4.7.6_05-43.45.1
  • xen-libs >= 4.7.6_05-43.45.1
  • xen-libs-32bit >= 4.7.6_05-43.45.1
  • xen-tools >= 4.7.6_05-43.45.1
  • xen-tools-domU >= 4.7.6_05-43.45.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-20
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • xen >= 4.7.6_05-43.45.1
  • xen-doc-html >= 4.7.6_05-43.45.1
  • xen-libs >= 4.7.6_05-43.45.1
  • xen-libs-32bit >= 4.7.6_05-43.45.1
  • xen-tools >= 4.7.6_05-43.45.1
  • xen-tools-domU >= 4.7.6_05-43.45.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-20
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • xen >= 4.9.3_03-3.47.1
  • xen-doc-html >= 4.9.3_03-3.47.1
  • xen-libs >= 4.9.3_03-3.47.1
  • xen-libs-32bit >= 4.9.3_03-3.47.1
  • xen-tools >= 4.9.3_03-3.47.1
  • xen-tools-domU >= 4.9.3_03-3.47.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-2896
SUSE-SLE-SERVER-12-SP3-2019-914
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • xen >= 4.11.1_02-2.3.1
  • xen-doc-html >= 4.11.1_02-2.3.1
  • xen-libs >= 4.11.1_02-2.3.1
  • xen-libs-32bit >= 4.11.1_02-2.3.1
  • xen-tools >= 4.11.1_02-2.3.1
  • xen-tools-domU >= 4.11.1_02-2.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-3
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • xen >= 4.4.4_40-22.77.1
  • xen-doc-html >= 4.4.4_40-22.77.1
  • xen-kmp-default >= 4.4.4_40_k3.12.61_52.146-22.77.1
  • xen-libs >= 4.4.4_40-22.77.1
  • xen-libs-32bit >= 4.4.4_40-22.77.1
  • xen-tools >= 4.4.4_40-22.77.1
  • xen-tools-domU >= 4.4.4_40-22.77.1
Patchnames:
SUSE-SLE-SERVER-12-2019-827
SUSE Linux Enterprise Software Development Kit 11 SP4
  • xen >= 4.4.4_38-61.40.1
  • xen-devel >= 4.4.4_38-61.40.1
Patchnames:
sdksp4-xen-13921
SUSE Linux Enterprise Software Development Kit 12 SP3
  • xen >= 4.9.3_03-3.47.1
  • xen-devel >= 4.9.3_03-3.47.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-2896
SUSE-SLE-SDK-12-SP3-2019-914
SUSE Linux Enterprise Software Development Kit 12 SP4
  • xen >= 4.11.1_02-2.3.1
  • xen-devel >= 4.11.1_02-2.3.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-3
SUSE OpenStack Cloud 7
  • xen >= 4.7.6_05-43.45.1
  • xen-doc-html >= 4.7.6_05-43.45.1
  • xen-libs >= 4.7.6_05-43.45.1
  • xen-libs-32bit >= 4.7.6_05-43.45.1
  • xen-tools >= 4.7.6_05-43.45.1
  • xen-tools-domU >= 4.7.6_05-43.45.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-20
openSUSE Leap 15.0
  • xen >= 4.10.2_04-lp150.2.12.1
  • xen-debugsource >= 4.10.2_04-lp150.2.12.1
  • xen-devel >= 4.10.2_04-lp150.2.12.1
  • xen-doc-html >= 4.10.2_04-lp150.2.12.1
  • xen-libs >= 4.10.2_04-lp150.2.12.1
  • xen-libs-32bit >= 4.10.2_04-lp150.2.12.1
  • xen-libs-32bit-debuginfo >= 4.10.2_04-lp150.2.12.1
  • xen-libs-debuginfo >= 4.10.2_04-lp150.2.12.1
  • xen-tools >= 4.10.2_04-lp150.2.12.1
  • xen-tools-debuginfo >= 4.10.2_04-lp150.2.12.1
  • xen-tools-domU >= 4.10.2_04-lp150.2.12.1
  • xen-tools-domU-debuginfo >= 4.10.2_04-lp150.2.12.1
Patchnames:
openSUSE-2019-1046
openSUSE Leap 42.3
  • xen >= 4.9.3_03-34.1
  • xen-debugsource >= 4.9.3_03-34.1
  • xen-devel >= 4.9.3_03-34.1
  • xen-doc-html >= 4.9.3_03-34.1
  • xen-libs >= 4.9.3_03-34.1
  • xen-libs-32bit >= 4.9.4_02-37.1
  • xen-libs-debuginfo >= 4.9.3_03-34.1
  • xen-libs-debuginfo-32bit >= 4.9.4_02-37.1
  • xen-tools >= 4.9.3_03-34.1
  • xen-tools-debuginfo >= 4.9.3_03-34.1
  • xen-tools-domU >= 4.9.3_03-34.1
  • xen-tools-domU-debuginfo >= 4.9.3_03-34.1
Patchnames:
openSUSE-2018-1530
openSUSE-2019-1226


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 xen Released
CaaS Platform 2.0 xen Released
CaaS Platform 3.0 xen Released
SUSE Linux Enterprise Desktop 12 SP3 xen Released
SUSE Linux Enterprise Desktop 12 SP4 xen Released
SUSE Linux Enterprise High Performance Computing 12 xen Released
SUSE Linux Enterprise Module for Basesystem 15 GA xen Released
SUSE Linux Enterprise Module for Server Applications 15 GA xen Released
SUSE Linux Enterprise SDK 11 SP4 xen Released
SUSE Linux Enterprise SDK 12 SP3 xen Released
SUSE Linux Enterprise SDK 12 SP4 xen Released
SUSE Linux Enterprise Server 11 SP3 LTSS xen Affected
SUSE Linux Enterprise Server 11 SP4 xen Released
SUSE Linux Enterprise Server 12 GA LTSS xen Released
SUSE Linux Enterprise Server 12 SP1 LTSS xen Released
SUSE Linux Enterprise Server 12 SP2 LTSS xen Released
SUSE Linux Enterprise Server 12 SP3 xen Released
SUSE Linux Enterprise Server 12 SP4 xen Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 xen Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA xen Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 xen Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 xen Released